%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Flickr Remote Organizer for GNOME
Name:		frogr
Version:	1.6
Release:	%mkrel 2
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Frogr
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.32
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4
BuildRequires:	pkgconfig(json-glib-1.0) >= 0.12
BuildRequires:	pkgconfig(libexif) >= 0.6.14
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.34
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.8
BuildRequires:	libgcrypt-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	meson

%description
Frogr is a small application for the GNOME desktop that allows users to
manage their accounts in the Flickr image hosting website. It supports
all the basic tasks, including uploading pictures, adding descriptions,
setting tags and managing sets.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test


%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/*/*/apps/org.gnome.%{name}*.*
%{_mandir}/man1/%{name}.1*
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml


%changelog
* Wed Feb 19 2020 umeabot <umeabot> 1.6-2.mga8
+ Revision: 1543018
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 ovitters <ovitters> 1.6-1.mga8
+ Revision: 1477541
- new version 1.6

* Wed Apr 17 2019 umeabot <umeabot> 1.5-2.mga7
+ Revision: 1392187
- Rebuild with meson 0.50.1

* Fri Nov 30 2018 daviddavid <daviddavid> 1.5-1.mga7
+ Revision: 1336896
- new version: 1.5

* Sun Sep 23 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1297788
- Mageia 7 Mass Rebuild

* Wed Feb 14 2018 ovitters <ovitters> 1.4-1.mga7
+ Revision: 1201293
- switch to meson
- new version 1.4

* Tue Aug 15 2017 daviddavid <daviddavid> 1.3-1.mga7
+ Revision: 1140737
- new version: 1.3
- fix for new find_lang

* Fri Oct 07 2016 daviddavid <daviddavid> 1.2-1.mga6
+ Revision: 1059442
- new version: 1.2

* Sun Feb 14 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 960221
- Mageia 6 Mass Rebuild
+ ovitters <ovitters>
- new version 1.0

* Mon Sep 14 2015 fwang <fwang> 0.11-2.mga6
+ Revision: 879127
- rebuild for new libgcrypt

* Mon Jun 22 2015 ovitters <ovitters> 0.11-1.mga6
+ Revision: 838544
- new version 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.10-3.mga5
+ Revision: 741935
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10-2.mga5
+ Revision: 679361
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 ovitters <ovitters> 0.10-1.mga5
+ Revision: 639508
- new version 0.10

* Thu Feb 06 2014 dams <dams> 0.9-1.mga5
+ Revision: 584092
- update BR (itstool)
- new version 0.9
- remove patches (merged)
- clean/update specfile

* Sat Nov 09 2013 ovitters <ovitters> 0.8-5.mga4
+ Revision: 550150
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.8-4.mga4
+ Revision: 532277
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 fwang <fwang> 0.8-3.mga4
+ Revision: 467658
- drop deprecated flags

* Tue May 28 2013 fwang <fwang> 0.8-2.mga4
+ Revision: 429374
- update file list
- br gcrypt
- add upstream patch to build with gst 1.0
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ ovitters <ovitters>
- new version 0.8

* Wed Jun 27 2012 ovitters <ovitters> 0.7-1.mga3
+ Revision: 264585
- fix source url
- new version 0.7

* Tue Feb 14 2012 ovitters <ovitters> 0.6.1-2.mga2
+ Revision: 208762
- clean spec
+ fwang <fwang>
- new version 0.6.1
- imported package frogr

